Subject: Re: bug#28625: [PROPOSED] Speed up (format "%s" STRING) and the like

From: Paul Eggert <[email-masked]>
Date: Wed, 27 Sep 2017 16:33:24 -0700

On 09/27/2017 02:33 PM, John Wiegley wrote:
> Can you enable ELP for just 'format', use Emacs for a few hours as you
> normally do, and then report how many times, and how much time, is consumed in
> its use?

I am not the best person to try that, as I typically don't use Emacs for 
hours at a time and am not really a power user in the traditional sense. 
Furthermore, counting all calls isn't what is wanted here: we want to 
count just calls that copy strings unnecessarily.

I take your point that the patch is only a minor performance improvement 
in the big picture. And although the patch does simplify the Emacs 
source code, that's minor too. (Should I propose only major changes from 
now on? :-)